/**
 * $Id$
 *
 * Copyright (c) 2009 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 13.04.2009 by oliver (ob@aosd.de)
 */

package init;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.apache.commons.logging.*;

import patterntesting.runtime.monitor.ClasspathMonitor;

/**
 * @author <a href="ob@aosd.de">oliver</a>
 * @since 13.04.2009
 * @version $Revision$
 *
 */
public class ConfigServlet extends HttpServlet {

	private static final long serialVersionUID = 20090413L;
	private static Log log = LogFactory.getLog(ConfigServlet.class);

	/**
	 * @see javax.servlet.GenericServlet#init()
	 */
	@Override
	public void init() throws ServletException {
		ClasspathMonitor.registerAsMBean();
		log.info("ClasspathMonitor registered as MBean");
	}

}

/**
 * $Log$
 * $Source$
 */
